package com.palmnest.service.notice.service;

import com.palmnest.application.bean.AppResultDto;
import com.palmnest.application.dto.output.PushSendDto;
import com.palmnest.application.dto.output.PushUserDto;

import java.util.List;

public interface PushSendService {
	/**
	 * 获取详情
	 *
	 * @param id
	 * @return
	 */
	PushSendDto getDetailInfo(Integer id, Integer type);

	/**
	 * 审核
	 *
	 * @param dto
	 * @param auditor 审核人
	 * @return
	 */
	AppResultDto approvalSend(PushSendDto dto, String auditor, List<PushUserDto> carDto, String token);

	AppResultDto sendMessage(String orgId, String userId, String userIds, String content);

	AppResultDto sendEmail(String orgId, String userId, String userIds, String content, String sendEmailId, String title, String filePaths, String emailCentent);
}
